#ifndef ORIGINALWND_H
#define ORIGINALWND_H

#include <QMainWindow>
#include "treeviewmanager.h"

QT_BEGIN_NAMESPACE
namespace Ui { class OriginalWnd; }
QT_END_NAMESPACE

class OriginalWnd : public QMainWindow
{
    Q_OBJECT

public:
    explicit OriginalWnd(QWidget *parent = nullptr);
    ~OriginalWnd();
    QWidget* getWidgetLeft() const; // 访问 widget 的接口

private slots:
    void on_ChartButton_clicked();
    void on_DoubleImageButton_clicked();
    void on_SingleImageButton_clicked();

    void updateTime();

private:
    Ui::OriginalWnd *ui;
    TreeViewManager *treeViewManager; // 树视图管理器

    void initForm(); // 初始化表单控件
};

#endif // ORIGINALWND_H
